Bug 101065 - Xaccess is delivered with execution mode on
Xaccess is delivered with execution mode on
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: xinitrc (Show other bugs)
beta1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2003-07-28 17:06 EDT by Göran Uddeborg
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 16:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2003-07-28 17:06:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
The file /etc/X11/xdm/Xaccess is packaged with the execute permission bits set.
 That seems like a bug.

Version-Release number of selected component (if applicable):
xinitrc-3.32-1

How reproducible:
Always

Steps to Reproduce:
1. cd /etc/X11/xdm
2. ls -l Xaccess

Actual Results:  -rwxr-xr-x    1 root     root         1979 okt  4  1999 Xaccess


Expected Results:  -rw-r--r--    1 root     root         1979 okt  4  1999 Xaccess

Additional info:

I'm not sure if this Red Hat bug, or if it comes from upstream.  I'll file it
upstream if you say it is appropriate.
Comment 3 Mike A. Harris 2004-10-20 16:18:38 EDT
Thanks, this was a glitch in the Makefile, which copied various
files into their destination with "install -m 755", without
considering what each file was.  I've moved the config files
into a section above that which now installs with -m 644.

Fixed in xinitrc-4.0.14-1 in rawhide

Note You need to log in before you can comment on or make changes to this bug.